# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

config etc/chromium-ungoogled/00-default.conf.new

# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

( cd usr/bin ; rm -rf chromedriver-ungoogled )
( cd usr/bin ; ln -sf ../lib64/chromium-ungoogled/chromedriver chromedriver-ungoogled )
( cd usr/bin ; rm -rf chromium-browser-ungoogled )
( cd usr/bin ; ln -sf chromium-ungoogled chromium-browser-ungoogled )
( cd usr/share/icons/hicolor/256x256/apps ; rm -rf chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/256x256/apps ; ln -sf chromium-ungoogled.png chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/24x24/apps ; rm -rf chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/24x24/apps ; ln -sf chromium-ungoogled.png chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/64x64/apps ; rm -rf chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/64x64/apps ; ln -sf chromium-ungoogled.png chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/48x48/apps ; rm -rf chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/48x48/apps ; ln -sf chromium-ungoogled.png chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/16x16/apps ; rm -rf chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/16x16/apps ; ln -sf chromium-ungoogled.png chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/128x128/apps ; rm -rf chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/128x128/apps ; ln -sf chromium-ungoogled.png chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/32x32/apps ; rm -rf chromium-browser-ungoogled.png )
( cd usr/share/icons/hicolor/32x32/apps ; ln -sf chromium-ungoogled.png chromium-browser-ungoogled.png )
( cd usr/lib64/chromium-ungoogled ; rm -rf remoting_locales )
( cd usr/lib64/chromium-ungoogled ; ln -sf locales remoting_locales )
